Attribute VB_Name = "DeleteConfigs"
'---------------------------------------------------------------------03/09/2007
' DeleteSelectConfigs.swp           Written by Leonard Kikstra,
'                                   Copyright 2003-2007, Leonard Kikstra
'                                   Downloaded from Lenny's SolidWorks Resources
'                                        at http://www.lennyworks.com/solidworks
'-------------------------------------------------------------------------------
Global swApp As Object
Global ModelDoc2 As Object
Global Configuration As Object
Global FileTyp As String
Global numConfigs As Integer
Global ConfigNames As Variant
Global Retval As Integer
Global DelCount As Integer
' SolidWorks constants
Global Const swDocPART = 1
Global Const swDocASSEMBLY = 2
Global Const swMbWarning = 1
Global Const swMbInformation = 2
Global Const swMbQuestion = 3
Global Const swMbStop = 4
Global Const swMbAbortRetryIgnore = 1
Global Const swMbOk = 2
Global Const swMbOkCancel = 3
Global Const swMbRetryCancel = 4
Global Const swMbYesNo = 5
Global Const swMbYesNoCancel = 6
Global Const swMbHitAbort = 1
Global Const swMbHitIgnore = 2
Global Const swMbHitNo = 3
Global Const swMbHitOk = 4
Global Const swMbHitRetry = 5
Global Const swMbHitYes = 6
Global Const swMbHitCancel = 7
Global Const version = "1.50"

'------------------------------------------------------------------------------
' Delete extra configurations from model and set current config to Default
'------------------------------------------------------------------------------
Sub Main()
  Set swApp = CreateObject("SldWorks.Application")            ' Attach to SWX
  Set ModelDoc2 = swApp.ActiveDoc                             ' Grab active doc
  If ModelDoc2 Is Nothing Then                                ' Is doc loaded
    MsgBox "No active part or assembly model found in SolidWorks." & Chr(13) & Chr(13) _
          & "Please load/activate a SolidWorks part or assembly " & Chr(13) _
          & "model and try again.", vbExclamation
  Else                                                        ' Doc loaded?
    FileTyp = ModelDoc2.GetType                               ' Get doc type
    If FileTyp = swDocASSEMBLY Or FileTyp = swDocPART Then    ' Doc model?
      numConfigs = ModelDoc2.GetConfigurationCount()          ' Get # configs
      If numConfigs > 1 Then                                  ' Check # configs
        FormDeleteConfig.Show
      Else                                                    ' Else # config
        MsgBox "Only one configuration exists in this model.", vbExclamation
      End If                                                  ' End # config
    Else                                                      ' Else doc type
      MsgBox "Active document is not a SolidWorks part or assembly model." _
              & Chr(13) & Chr(13) _
              & "Please load/activate a SolidWorks model and try again.", _
              vbExclamation
    End If                                                    ' End doc type
  End If                                                      ' End doc load

End Sub
