VERSION 5.00
Begin {C62A69F0-16DC-11CE-9E98-00AA00574A4F} FormDeleteConfig 
   Caption         =   "DeleteSelectConfigs: SELECT"
   ClientHeight    =   6120
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   5385
   OleObjectBlob   =   "FormDeleteConfig.frx":0000
   StartUpPosition =   1  'CenterOwner
End
Attribute VB_Name = "FormDeleteConfig"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
'---------------------------------------------------------------------03/09/2007
' DeleteSelectConfigs.swp           Written by Leonard Kikstra,
'                                   Copyright 2003-2007, Leonard Kikstra
'                                   Downloaded from Lenny's SolidWorks Resources
'                                        at http://www.lennyworks.com/solidworks
'-------------------------------------------------------------------------------
Dim DelCount As Integer

Private Sub CheckClearAll_Click()
  For x = 0 To ListBoxConfigurations.ListCount - 1             ' Each config
    ListBoxConfigurations.Selected(x) = False                  ' Clear select
  Next x
  CheckSelectAll = False                                       ' Clear check
  CheckClearAll = False                                        ' Clear check
End Sub

Private Sub CheckSelectAll_Click()
  For x = 0 To ListBoxConfigurations.ListCount - 1             ' Each config
    ListBoxConfigurations.Selected(x) = True                   ' Set select
  Next x
  CheckSelectAll = False                                       ' Clear check
  CheckClearAll = False                                        ' Clear check
End Sub

Private Sub CheckBoxSelectFilter_Click()
  If CheckBoxSelectFilter = True Then
    TextBoxFilter.Enabled = True
    TextBoxFilter.BackColor = vbWindowBackground
    CommandSelectFilter.Enabled = True
  Else
    TextBoxFilter.Enabled = False
    TextBoxFilter.BackColor = vbButtonFace
    CommandSelectFilter.Enabled = False
  End If
End Sub

Private Sub CommandAbout_Click()
  FormAbout.Show
End Sub

Private Sub CommandSelectFilter_Click()
  For x = 0 To ListBoxConfigurations.ListCount - 1             ' Each config
    For y = 0 To Len(ListBoxConfigurations.List(x, 0)) - Len(TextBoxFilter)
      If UCase(Mid$(ListBoxConfigurations.List(x, 0), y + 1, Len(TextBoxFilter))) _
             = UCase(TextBoxFilter) Then
        ListBoxConfigurations.Selected(x) = True               ' Set select
      End If
    Next y
  Next x
End Sub

Private Sub CheckDeleteConfigs_Click()
  ProcessCheck
End Sub

Private Sub CheckKeepConfig_Click()
  ProcessCheck
End Sub

Private Sub CheckBoxReset_Click()
  CommandReset.Enabled = True
End Sub

Private Sub ProcessCheck()
  If CheckDeleteConfigs = True And CheckKeepConfig = True Then
    CommandDelete.Enabled = True
  Else
    CommandDelete.Enabled = False
  End If
End Sub

Private Sub CommandCancel_Click()
  End
End Sub

Private Sub CommandDelete_Click()
  ConfigNames = ModelDoc2.GetConfigurationNames()
  For i = 0 To ListBoxConfigurations.ListCount - 1    ' For each config in list
    If ListBoxConfigurations.Selected(i) = True Then  ' If selected
      ModelDoc2.DeleteConfiguration2 ListBoxConfigurations.List(i) ' delete config
      DelCount = DelCount + 1                         ' Inc del counter
      LabelConfigsDeleted = LTrim(Str(DelCount)) + " configurations processed."
      FormDeleteConfig.Repaint
    End If                                          ' active config
  Next                                              ' Get next config
  numConfigs = numConfigs - ModelDoc2.GetConfigurationCount()
  LabelConfigsDeleted = "Done: " + LTrim(Str(numConfigs)) _
                      + " configurations deleted."
  UserForm_ReInitialize
End Sub

Private Sub CommandReset_Click()
  If CheckBoxReset = True Then
    Configuration.Name = "Default"                    ' Set config to
    Configuration.AlternateName = "Default"           ' "Default" &
    Configuration.UseAlternateNameInBOM = 0           ' AlternateName
  End If
  CheckBoxReset.Value = False
  CheckBoxReset.Enabled = False
  CommandReset.Enabled = False
  LabelConfigsDeleted = "Configuration reset to 'Default'."
End Sub

Private Sub UserForm_ReInitialize()
  ListBoxConfigurations.Clear
  Set Configuration = ModelDoc2.GetActiveConfiguration
  CurrentConfigName = Configuration.Name
  ConfigNames = ModelDoc2.GetConfigurationNames()
  numConfigs = ModelDoc2.GetConfigurationCount()    ' Get # configs
  For i = 0 To (numConfigs - 1)                     ' For each config
    If ConfigNames(i) <> CurrentConfigName Then     ' Not active conf
      ListBoxConfigurations.AddItem ConfigNames(i)
    End If                                          ' active config
  Next                                              ' Get next config
  Set Configuration = ModelDoc2.GetActiveConfiguration
  If DelCount = 0 Then
    LabelConfigsDeleted = "Current configuration: '" + Configuration.Name _
                        + "' cannot be deleted."
  End If
  DelCount = 0
  CommandReset.top = CommandDelete.top
  CheckBoxReset.top = CheckBoxSelectFilter.top
  If ModelDoc2.GetConfigurationCount() = 1 Then
    CheckBoxReset.Visible = True
    ListBoxConfigurations.Enabled = False
    ListBoxConfigurations.BackColor = vbButtonFace
    CommandReset.Visible = True
    CommandDelete.Visible = False
    CheckBoxSelectFilter.Visible = False
    TextBoxFilter.Visible = False
    CommandSelectFilter.Visible = False
    CheckSelectAll.Visible = False
    CheckClearAll.Visible = False
  Else
    CheckBoxReset.Visible = False
    CommandReset.Enabled = False
    CommandReset.Visible = False
  End If
  ' Sort entries in ListBoxConfigurations via simple bubble sort technique.
  For x = 0 To ListBoxConfigurations.ListCount - 2   ' Number of passes
    For y = 0 To ListBoxConfigurations.ListCount - 2 ' Pass thru each row
      If ListBoxConfigurations.List(y, 0) _
         > ListBoxConfigurations.List(y + 1, 0) Then ' If greater, re-order
        Temp = ListBoxConfigurations.List(y, 0)      ' Re-order entries
        ListBoxConfigurations.List(y, 0) = ListBoxConfigurations.List(y + 1, 0)
        ListBoxConfigurations.List(y + 1, 0) = Temp
      End If                                         ' Re-order check
    Next y                                           ' Pass thru each row
  Next x                                             ' Number of passes
End Sub

Private Sub UserForm_Initialize()
  FormDeleteConfig.Caption = FormDeleteConfig.Caption & " " & version
  FormDeleteConfig.Height = 298
  UserForm_ReInitialize
End Sub

